# MSRS - Membership registration system

## Development

Install Python and virtualenv if not already available.

If you choose SQLite3, set the environment variable `MSRS_DB_BACKEND` to sqlite3. To do so, you can
add `export MSRS_DB_BACKEND=sqlite3` to your shell's init file (e.g. `~/.bashrc`) and restart your
shell.

If you choose MySQL/MariaDB, set up the server, and look in `KeRS/settings.py` for the possible
environment variables you can set (e.g. `DATABASE_NAME`).

Set up the development environment:

```bash
python -m virtualenv venv
venv/bin/pip install -r requirements
make migrate
```

To run the development server:

```bash
make
```
